Name: ttfonts
Version: 1.0
Release: 3p
Summary: Some TrueType fonts
# The fonts are taken from the OpenOffice CVS tree
Source0: oo-fonts-20010307.tar.bz2
Source1: getoofonts.sh
Source2: COPYING.GPL
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Prereq: freetype chkfontpath

%description
The ttfonts package contains some TrueType fonts for use with XFree86
and ghostscript.

%prep
%setup -q -n oo
cp %{SOURCE2} .

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -d $RPM_BUILD_ROOT%{_datadir}/fonts/default/TrueType
find . -name "*.ttf" -exec install -m644 {} $RPM_BUILD_ROOT%{_datadir}/fonts/default/TrueType \;
# These are created properly in the post section
touch $RPM_BUILD_ROOT%{_datadir}/fonts/default/TrueType/fonts.{dir,scale}
cat << EOF > ttfonts.filelist
%defattr(-,root,root)
%doc installation/readlicense/source/license/unx/LICENSE COPYING.GPL
%dir %{_datadir}/fonts/default/TrueType
%ghost %{_datadir}/fonts/default/TrueType/fonts.dir
%ghost %{_datadir}/fonts/default/TrueType/fonts.scale
EOF
find $RPM_BUILD_ROOT -type f | sed -e "s|${RPM_BUILD_ROOT}||g" | \
	grep -v '/fonts\.' >> ttfonts.filelist

%post
cd /usr/share/fonts/default/TrueType
/usr/X11R6/bin/mkfontdir &>/dev/null || :
/usr/bin/ttmkfdir >fonts.scale 2>/dev/null || :
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/TrueType

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/share/fonts/default/TrueType
fi

%files -f ttfonts.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar  7 2001 Nalin Dahyabhai <nalin@redhat.com>
- add the license file
- include a script suitable for extracting needed files from CVS

* Sun Feb 11 2001 Tim Waugh <twaugh@redhat.com>
- Redirect ttmkfdir output to fonts.scale and use chkfontpath to
  add font directory to search path (bug #26757).

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
